<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Exercise 1</title>
        <link rel="stylesheet" href="etiquetas.css">
        <link rel="icon" type="image/png" href="icono.png">
        <!-- <base href="https://www.w3schools.com/" target="_blank"> -->
    </head>
    <body>
        <nav id="navbar">
            <header id="main-title">
                <h1>Etiquetas HTML</h1>
            </header>
            <ul>
                <li><a class="nav-link" href="#Introduction">Introduction</a></li>
                <li><a class="nav-link" href="#Information">More information
                        about
                        main tags</a></li>

            </ul>
        </nav>
        <main id="main-doc">
            <section class="main-section" id="Introduction">
                <h2>Introduction (this is a h2 for the title of the section)</h2>
                <p>In this section, we are going to talk about all the semantic
                    HTML tags</p>
                <article>
                    <h3>This is a h3 for the title of the article</h3>
                    <p>
                        In html we have a lot of tags, there is the list of
                        tags:
                    </p>
                    <ul>
                        <li><code>&lt;header&gt;</code>: Defines the header of a
                            page or section.</li>
                        <li><code>&lt;nav&gt;</code>: Defines a section of
                            navigation.</li>
                        <li><code>&lt;main&gt;</code>: Defines the main content
                            of a page.</li>
                        <li><code>&lt;section&gt;</code>: Defines a section of
                            content.</li>
                        <li><code>&lt;article&gt;</code>: Defines an independent
                            article within a page.</li>
                        <li><code>&lt;aside&gt;</code>: Defines content related
                            to the main content, but which can be separated from
                            it.</li>
                        <li><code>&lt;footer&gt;</code>: Defines the footer of a
                            page or section.</li>
                        <li><code>&lt;h1&gt;</code> - <code>&lt;h6&gt;</code>:
                            Defines section headings of varying importance, from
                            largest to smallest.</li>
                        <li><code>&lt;p&gt;</code>: Defines a paragraph.</li>
                        <li><code>&lt;blockquote&gt;</code>: Defines a section
                            of quoted text.</li>
                        <li><code>&lt;q&gt;</code>: Defines a short quotation.</li>
                        <li><code>&lt;cite&gt;</code>: Defines a reference to a
                            creative work.</li>
                        <li><code>&lt;em&gt;</code>: Defines emphasized text.</li>
                        <li><code>&lt;strong&gt;</code>: Defines highly
                            emphasized text.</li>
                        <li><code>&lt;mark&gt;</code>: Defines highlighted text.</li>
                        <li><code>&lt;code&gt;</code>: Defines a piece of code.</li>
                        <li><code>&lt;pre&gt;</code>: Defines a block of
                            preformatted text.</li>
                        <li><code>&lt;ul&gt;</code>: Defines an unordered list.</li>
                        <li><code>&lt;ol&gt;</code>: Defines an ordered list.</li>
                        <li><code>&lt;li&gt;</code>: Defines a list item.</li>
                        <li><code>&lt;dl&gt;</code>: Defines a list of
                            descriptions.</li>
                        <li><code>&lt;dt&gt;</code>: Defines a term in a list of
                            descriptions.</li>
                        <li><code>&lt;dd&gt;</code>: Defines the description of
                            a term in a list of descriptions.</li>
                        <li><code>&lt;figure&gt;</code>: Defines a figure.</li>
                        <li><code>&lt;figcaption&gt;</code>: Defines the caption
                            of a figure.</li>
                        <li><code>&lt;time&gt;</code>: Defines a date and/or
                            time.</li>
                    </ul>
                </article>
                <article>
                    <h3>Some examples</h3>
                    <p>We can prove the strong tag: <strong>This is a strong
                            text</strong>, It is used to highlight text
                        <blockquote><em>em tag is for italic text and blockquote
                                a section of quote text like: Lorem ipsum dolor
                                sit
                                amet consectetur adipisicing elit. Id ipsum
                                molestias nesciunt velit voluptate doloremque
                                consectetur quia rerum veniam. Nemo maiores odit
                                repudiandae consectetur ad, architecto minima
                                quam laudantium culpa.</em></blockquote>
                    </p>
                    <hr>
                    <p>
                        p is for a paragraph, is the most used tag, Also We use
                        a hr tag above this paragraph. We put an image tag below
                        this paragraph
                    </p>
                    <figure>
                        <img src="academia.PNG" alt="description of the image">
                        <figcaption>description of the image</figcaption>
                    </figure>
                </article>
            </section>
            <section>
                <h2>More information about main tags</h2>
                <article id="Information">
                    <p>
                        There is some links with more information and examples
                        of the used tags (Enable the base tag in the header!!!):
                        <ul>
                            <li><a href="/tags/tag_p.asp">paragraph</a></li>
                            <li><a href="/Tags/tag_hn.asp">headers</a></li>
                            <li><a href="/tags/tag_img.asp">images</a></li>
                        </ul>
                    </p>
                </article>
            </section>
            <section>
                <h2>Section only for the aside example</h2>
                <article id="article-aside">
                    <p>
                        Aside tag is use to display important
                        information about the primary page.
                    </p>
                </article>
                <aside id="aside-example">
                    <h5>Aside tag example</h5>
                </aside>
            </section>
            <section>
                <br>
                <br>
                <br>
                <h2>This section is only for the flexbox example and I use three
                    brs
                    above this </h2>
                <article id="flexbox-section">
                    <p>this is a flexbox example 1 - left</p>
                    <p>this is a flexbox example 2 - middle</p>
                    <p>this is a flexbox example 3 - right</p>
                </article>
            </section>
        </main>
        <footer id="footer-doc">
            <p>This is a footer and you can put: All rights reserved © 2023</p>
        </footer>
    </body>
</html>
